New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
History

List generation history

GET
/api/v1/history

Return all past generation results with metadata, newest first.

Response Body

Successful Response

application/json
  1. response
items*array<>

Generation history items, newest first

Example Request
curl -X GET 'http://127.0.0.1:8100/api/v1/history'
Example Response200
{  "items": [    {      "id": "h1b2c3d4",      "text": "Welcome to our...",      "full_text": "Welcome to our application.",      "mode": "clone",      "created_at": "2026-01-15T10:30:00Z",      "duration_seconds": 3.2,      "file_size": 102400,      "ref_text": "string",      "voice_id": "string",      "voice_name": "string",      "instruct_text": "string",      "design_id": "string",      "design_name": "string",      "speaker": "string",      "speaker_name": "string"    }  ]}